curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-filters/recent-searches?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": {
"recentSearches": [
{
"id": 327106,
"search_string": "Director in United States",
"filter_details": {
"title": ["Director"],
"country": ["United States"],
"limit": 100
},
"created_at": "2025-01-15T10:00:00.000Z",
"updated_at": "2025-01-20T14:30:00.000Z"
}
],
"totalCount": 1
}
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
Smart Prospect
Recent Searches API
Retrieve recent searches (search filters) for the authenticated user - GET /search-filters/recent-searches
GET
/
api
/
v1
/
search-email-leads
/
search-filters
/
recent-searches
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-filters/recent-searches?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": {
"recentSearches": [
{
"id": 327106,
"search_string": "Director in United States",
"filter_details": {
"title": ["Director"],
"country": ["United States"],
"limit": 100
},
"created_at": "2025-01-15T10:00:00.000Z",
"updated_at": "2025-01-20T14:30:00.000Z"
}
],
"totalCount": 1
}
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
This endpoint requires authentication via API key passed as a query parameter (
api_key).Query Parameters
string
required
Your SmartLead API key for authentication
string
Number of recent searches to return (positive integer string). Pattern: ^[1-9][0-9]*$. Default: “10”.
string
Number of recent searches to skip for pagination (non-negative integer string). Pattern: ^[0-9]+$. Default: “0”.
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-filters/recent-searches?api_key=YOUR_API_KEY"
Response Codes
Success
Request successful
Unauthorized
Unauthorized
Internal Server Error
Internal Server Error
{
"success": true,
"message": "Data retrieved successfully",
"data": {
"recentSearches": [
{
"id": 327106,
"search_string": "Director in United States",
"filter_details": {
"title": ["Director"],
"country": ["United States"],
"limit": 100
},
"created_at": "2025-01-15T10:00:00.000Z",
"updated_at": "2025-01-20T14:30:00.000Z"
}
],
"totalCount": 1
}
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
